from agents import views
from django.urls import path

app_name = "agents"


urlpatterns = [
    path("agents/", views.AgentSessionListView.as_view(), name="agent_session_list"),
    path(
        "agents/select/",
        views.AgentModelSelectView.as_view(),
        name="agent_model_select",
    ),
    path(
        "agents/scrobble-from-model/",
        views.AgentScrobbleFromModelView.as_view(),
        name="agent_scrobble_from_model",
    ),
    path(
        "agents/search/",
        views.AgentSessionSearchView.as_view(),
        name="agent_session_search",
    ),
    path(
        "agents/<slug:slug>/",
        views.AgentSessionDetailView.as_view(),
        name="agent_session_detail",
    ),
]
